Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.expasy.bprg
Class PeptideQuantiInfos

    java.lang.Object
      org.expasy.bprg.PeptideQuantiInfos

    public class PeptideQuantiInfos

extends java.lang.Object

Author:
  chernand

Constructor Summary
`PeptideQuantiInfos()`

Method Summary
`void` | `collectInfos(PhenyxSILACPeptide phenyxPeptide, SilacQuantiParam params)`
`double` | `getC12Areas()`
`double[]` | `getC13Areas()`
`java.lang.String` | `getForm()`
`double` | `getHeavyMass()`
`double[][]` | `getIntermAreas()`
`double[]` | `getIntermMasses()`
`int` | `getLabeledAANumber()`
`double` | `getLightMass()`
`java.lang.String` | `getMasses()`
`java.lang.String` | `getPeptideString()`
`java.lang.String` | `getProteinName()`
`double` | `getSumHeavyForms()`
`double` | `getSumLightForms()` Return only C12 value (was also adding c12-1Da and c12-2Da)
`boolean` | `isFileFound()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeptideQuantiInfos

    public PeptideQuantiInfos()

Method Detail

### collectInfos

    public void collectInfos(PhenyxSILACPeptide phenyxPeptide,
                             SilacQuantiParam params)

### getSumLightForms

    public double getSumLightForms()

  Return only C12 value (was also adding c12-1Da and c12-2Da)

### getSumHeavyForms

    public double getSumHeavyForms()

### getMasses

    public java.lang.String getMasses()

  Returns:
    the masses

### getForm

    public java.lang.String getForm()

  Returns:
    the form

### getLabeledAANumber

    public int getLabeledAANumber()

  Returns:
    the labeledAANumber

### getPeptideString

    public java.lang.String getPeptideString()

  Returns:
    the peptideString

### getProteinName

    public java.lang.String getProteinName()

  Returns:
    the proteinName

### getC12Areas

    public double getC12Areas()

  Returns:
    the c12Areas

### getC13Areas

    public double[] getC13Areas()

  Returns:
    the c13Areas

### getHeavyMass

    public double getHeavyMass()

  Returns:
    the heavyMass

### getIntermAreas

    public double[][] getIntermAreas()

  Returns:
    the intermAreas

### getIntermMasses

    public double[] getIntermMasses()

  Returns:
    the intermMasses

### getLightMass

    public double getLightMass()

  Returns:
    the lightMass

### isFileFound

    public boolean isFileFound()

  Returns:
    the fileFound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD